{ lib, fetchFromGitHub, pythonPackages }:

with lib;

pythonPackages.buildPythonApplication rec {
  pname = "neovim-remote";
  version = "2.4.0";
  disabled = !pythonPackages.isPy3k;

  src = fetchFromGitHub {
    owner = "mhinz";
    repo = "neovim-remote";
    rev = "v${version}";
    sha256 = "0jlw0qksak4bdzddpsj74pm2f2bgpj3cwrlspdjjy0j9qzg0mpl9";
  };

  propagatedBuildInputs = with pythonPackages; [
    pynvim
    psutil
    setuptools
  ];

  meta = {
    description = "A tool that helps controlling nvim processes from a terminal";
    homepage = "https://github.com/mhinz/neovim-remote/";
    license = licenses.mit;
    maintainers = with maintainers; [ edanaher ];
    platforms = platforms.unix;
  };
}
