# This file was generated by https://github.com/kamilchm/go2nix v2.0-dev
{ lib, buildGoPackage, zip, fetchFromGitHub }:
let
  webassets = fetchFromGitHub {
    owner = "gravitational";
    repo = "webassets";
    rev = "2d79788dbcd005bdcfe5b5120007d0faf8f1fc82";
    sha256 = "001a3bx8yyx1hq8y5yiy1jzp122q8gcl369lj0609gaxp6dk5bdw";
  };
in

buildGoPackage rec {
  pname = "teleport";
  version = "5.1.2";

  # This repo has a private submodule "e" which fetchgit cannot handle without failing.
  src = fetchFromGitHub {
    owner = "gravitational";
    repo = "teleport";
    rev = "v${version}";
    sha256 = "0h1hn2dpdsmhxac06gn6787z2mnfcwb3wn0c2l7l2qhw6iqpgmvh";
  };

  goPackagePath = "github.com/gravitational/teleport";

  subPackages = [ "tool/tctl" "tool/teleport" "tool/tsh" ];

  nativeBuildInputs = [ zip ];

  postBuild = ''
    pushd .
    cd $NIX_BUILD_TOP/go/src/github.com/gravitational/teleport
    mkdir -p build
    echo "making webassets"
    cp -r ${webassets}/* webassets/
    make build/webassets.zip
    cat build/webassets.zip >> $NIX_BUILD_TOP/go/bin/teleport
    rm -fr build/webassets.zip
    cd $NIX_BUILD_TOP/go/bin
    zip -q -A teleport
    popd
  '';

  # Reduce closure size for client machines
  outputs = [ "out" "client" ];

  buildTargets = [ "full" ];

  postInstall = ''
    install -Dm755 -t $client/bin $out/bin/tsh
  '';

  doInstallCheck = true;

  installCheckPhase = ''
    $out/bin/tsh version | grep ${version} > /dev/null
    $client/bin/tsh version | grep ${version} > /dev/null
    $out/bin/tctl version | grep ${version} > /dev/null
    $out/bin/teleport version | grep ${version} > /dev/null
  '';

  meta = with lib; {
    description = "A SSH CA management suite";
    homepage = "https://gravitational.com/teleport/";
    license = licenses.asl20;
    maintainers = with maintainers; [ sigma tomberek freezeboy ];
    platforms = platforms.unix;
  };
}
