{ lib, stdenv, fetchurl, fuse, samba, pkg-config, glib, autoconf, attr, libsecret }:

stdenv.mkDerivation rec {
  pname = "smbnetfs";
  version = "0.6.2";
  src = fetchurl {
    url = "mirror://sourceforge/project/smbnetfs/smbnetfs/SMBNetFS-${version}/${pname}-${version}.tar.bz2";
    sha256 = "19x9978k90w9a65lrpsphk7swsq8zkws9jc27q4zbndrm0r2snr0";
  };

  nativeBuildInputs = [ pkg-config autoconf ];
  buildInputs = [ fuse samba glib attr libsecret ];

  meta = with lib; {
    description = "A FUSE FS for mounting Samba shares";
    maintainers = with maintainers; [ raskin ];
    platforms = platforms.linux;
    license = licenses.gpl2;
    downloadPage = "https://sourceforge.net/projects/smbnetfs/files/smbnetfs";
    updateWalker = true;
    inherit version;
    homepage = "https://sourceforge.net/projects/smbnetfs/";
  };
}
